# Process Steps

### Key <a href="#what-is-the-attribute-key-used-for-in-a-process-step" id="what-is-the-attribute-key-used-for-in-a-process-step"></a>

This attribute is optional and can be used for identification when returning the status. The value can be defined by the customer and ideally is unique for each process.

### Types <a href="#what-is-the-attribute-key-used-for-in-a-process-step" id="what-is-the-attribute-key-used-for-in-a-process-step"></a>

<table><thead><tr><th width="333">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong>Selfie</strong></td><td>Liveness detection in three steps to verify the user's identity.</td></tr><tr><td><strong>DocumentRegistration</strong></td><td>Scanning of configured identification documents for identity verification.</td></tr><tr><td><strong>AgentReview</strong></td><td>Applicable only upon prior agreement. Routes processes with a low score to manual agent review.</td></tr><tr><td><strong>UserReview</strong></td><td>Users are presented with extracted names for correction. Must be combined with "DocumentRegistration."</td></tr><tr><td><strong>QesSignature</strong></td><td>For qualified electronic signatures (QES). Only available for configured tenants.</td></tr><tr><td><strong>Signature</strong></td><td>For advanced electronic signatures (AES).</td></tr><tr><td><strong>Welcome</strong></td><td>Displays an introduction screen with general identification tips. Please note that this ProcessStep is provided for special cases. <strong>Please do not use it</strong>.</td></tr><tr><td><strong>PdfScan</strong></td><td>Allows users to take a photo, which is then provided as a PDF.</td></tr><tr><td><strong>PersonalData</strong></td><td>Only available upon prior agreement and configuration. Enables custom user forms.</td></tr><tr><td><strong>HandwrittenSignature</strong></td><td>To be used in combination with QES. Allows the user to draw a signature, which is provided as an image.</td></tr><tr><td><strong>Info</strong></td><td>Reserved for change requests and applicable only upon agreement with fidentity.</td></tr></tbody></table>

### Subtypes <a href="#what-is-the-attribute-key-used-for-in-a-process-step" id="what-is-the-attribute-key-used-for-in-a-process-step"></a>

<table><thead><tr><th width="223">Subtype</th><th>Description</th></tr></thead><tbody><tr><td><strong>main*</strong></td><td>Default subtype. Can be used with all process steps.</td></tr><tr><td><strong>nfc*</strong></td><td>Prompts the user to read the NFC chip from their identification document. Only passports are accepted. This subtype must only be used with "DocumentRegistration."</td></tr><tr><td><strong>zoom</strong></td><td>Only available upon prior agreement and as a change request.</td></tr><tr><td><strong>readonly</strong></td><td>Only available upon prior agreement and as a change request.</td></tr><tr><td><strong>api</strong></td><td>Only available upon prior agreement and as a change request.</td></tr><tr><td><strong>identOnly</strong></td><td><p>Must only be used with the type "QesSignature." Triggers a QES identification.</p><p></p></td></tr><tr><td><strong>signOnly</strong></td><td>Must only be used with the type "QesSignature." Triggers the signature process for the associated identification process.</td></tr><tr><td><strong>singleRun</strong></td><td>Must only be used with the type "QesSignature." Triggers a temporary QES identification without WebAuthn.</td></tr></tbody></table>

#### **\*correct use of the attributes main and nfc:**

For identification via NFC, the subtype “nfc” must be set for DocumentRegistration. Otherwise “main” should always be used.

*Example Selfie with NFC*

```json
  "processSteps": [ 
    {
      "type": "Selfie",
      "subtype": "main"
    },
     {
      "type": "DocumentRegistration",
      "subtype": "nfc"
    }],
```

### Example for a QES process:

When creating a Qualified Electronic Signature (QES), set “QesSignature” as type and “main” as the subtype. This ensures that all necessary steps, including Selfie, DocumentRegistration, NFC scans Signature are included in the process.

*Example QES*

```json
"processSteps": [
    {
      "type": "QesSignature",
      "subtype": "main"
    }],
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fidentity.ch/api/create-a-new-fidentity-process/process-steps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
